Loading...
Searching...
No Matches
xlink.h File Reference

unfinished XLink detection module More...

## Data Structures

struct | _xlinkHandler
| This is the structure containing a set of Links detection callbacks. More...

## Typedefs

typedef void(* | xlinkNodeDetectFunc) (void *ctx, xmlNode *node)
| This is the prototype for the link detection routine.
typedef void(* | xlinkSimpleLinkFunk) (void *ctx, xmlNode *node, const xlinkHRef href, const xlinkRole role, const xlinkTitle title)
| This is the prototype for a simple link detection callback.
typedef void(* | xlinkExtendedLinkFunk) (void *ctx, xmlNode *node, int nbLocators, const xlinkHRef *hrefs, const xlinkRole *roles, int nbArcs, const xlinkRole *from, const xlinkRole *to, xlinkShow *show, xlinkActuate *actuate, int nbTitles, const xlinkTitle *titles, const xmlChar **langs)
| This is the prototype for a extended link detection callback.
typedef void(* | xlinkExtendedLinkSetFunk) (void *ctx, xmlNode *node, int nbLocators, const xlinkHRef *hrefs, const xlinkRole *roles, int nbTitles, const xlinkTitle *titles, const xmlChar **langs)
| This is the prototype for a extended link set detection callback.

## Functions

xlinkNodeDetectFunc | xlinkGetDefaultDetect (void)
| Get the default xlink detection routine.
void | xlinkSetDefaultDetect (xlinkNodeDetectFunc func)
| Set the default xlink detection routine.
xlinkHandler * | xlinkGetDefaultHandler (void)
| Get the default xlink handler.
void | xlinkSetDefaultHandler (xlinkHandler *handler)
| Set the default xlink handlers.
xlinkType | xlinkIsLink (xmlDoc *doc, xmlNode *node)
| Check whether the given node carries the attributes needed to be a link element (or is one of the linking elements issued from the (X)HTML DtDs).

## Detailed Description

unfinished XLink detection module

This module is deprecated, don't use.

Copyright
  See Copyright for the status of this software.

Author
  Daniel Veillard

## Typedef Documentation

## xlinkExtendedLinkFunk

typedef void(* xlinkExtendedLinkFunk) (void *ctx, xmlNode *node, int nbLocators, const xlinkHRef *hrefs, const xlinkRole *roles, int nbArcs, const xlinkRole *from, const xlinkRole *to, xlinkShow *show, xlinkActuate *actuate, int nbTitles, const xlinkTitle *titles, const xmlChar **langs)

This is the prototype for a extended link detection callback.

Parameters

  ctx | user data pointer
  node | the node carrying the link
  nbLocators | the number of locators detected on the link
  hrefs | pointer to the array of locator hrefs
  roles | pointer to the array of locator roles
  nbArcs | the number of arcs detected on the link
  from | pointer to the array of source roles found on the arcs
  to | pointer to the array of target roles found on the arcs
  show | array of values for the show attributes found on the arcs
  actuate | array of values for the actuate attributes found on the arcs
  nbTitles | the number of titles detected on the link
  titles | array of titles detected on the link
  langs | array of xml:lang values for the titles

## xlinkExtendedLinkSetFunk

typedef void(* xlinkExtendedLinkSetFunk) (void *ctx, xmlNode *node, int nbLocators, const xlinkHRef *hrefs, const xlinkRole *roles, int nbTitles, const xlinkTitle *titles, const xmlChar **langs)

This is the prototype for a extended link set detection callback.

Parameters

  ctx | user data pointer
  node | the node carrying the link
  nbLocators | the number of locators detected on the link
  hrefs | pointer to the array of locator hrefs
  roles | pointer to the array of locator roles
  nbTitles | the number of titles detected on the link
  titles | array of titles detected on the link
  langs | array of xml:lang values for the titles

## xlinkNodeDetectFunc

typedef void(* xlinkNodeDetectFunc) (void *ctx, xmlNode *node)

This is the prototype for the link detection routine.

It calls the default link detection callbacks upon link detection.

Parameters

  ctx | user data pointer
  node | the node to check

## xlinkSimpleLinkFunk

typedef void(* xlinkSimpleLinkFunk) (void *ctx, xmlNode *node, const xlinkHRef href, const xlinkRole role, const xlinkTitle title)

This is the prototype for a simple link detection callback.

Parameters

  ctx | user data pointer
  node | the node carrying the link
  href | the target of the link
  role | the role string
  title | the link title

## Function Documentation

## xlinkGetDefaultDetect()

xlinkNodeDetectFunc xlinkGetDefaultDetect | ( | void |  | ) |

Get the default xlink detection routine.

Deprecated
  Don't use.

Returns
  the current function or NULL;

## xlinkGetDefaultHandler()

xlinkHandler * xlinkGetDefaultHandler | ( | void |  | ) |

Get the default xlink handler.

Deprecated
  Don't use.

Returns
  the current xlinkHandler value.

## xlinkIsLink()

xlinkType xlinkIsLink | ( | xmlDoc * | doc,
|  | xmlNode * | node )

Check whether the given node carries the attributes needed to be a link element (or is one of the linking elements issued from the (X)HTML DtDs).

This routine don't try to do full checking of the link validity but tries to detect and return the appropriate link type.

Deprecated
  The XLink code was never finished.

Parameters

  doc | the document containing the node
  node | the node pointer itself

Returns
  the xlinkType of the node (XLINK_TYPE_NONE if there is no link detected.

## xlinkSetDefaultDetect()

void xlinkSetDefaultDetect | ( | xlinkNodeDetectFunc | func | ) |

Set the default xlink detection routine.

Deprecated
  Don't use.

Parameters

  func | pointer to the new detection routine.

## xlinkSetDefaultHandler()

void xlinkSetDefaultHandler | ( | xlinkHandler * | handler | ) |

Set the default xlink handlers.

Deprecated
  Don't use.

Parameters

  handler | the new value for the xlink handler block